> For the complete documentation index, see [llms.txt](https://developer.sahamati.org.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/observability-attributes/fiu-api-attributes.md).

# FIU API Attributes

#### /Consent/Notification

* **Request Attributes**:
  * `ConsentStatusNotification.consentId` – Identifier of the consent approved by the customer and issued by the AA.
  * `ConsentStatusNotification.consentHandle` – AA-generated consent handle created on receiving a consent request, used to track status and obtain the consent ID after customer approval.
  * `ConsentStatusNotification.consentStatus` – Current status of the consent (e.g. ACTIVE, PENDING, REVOKED, PAUSED, REJECTED, EXPIRED).
* **Response Attributes**: None.

#### /FI/Notification

* **Request Attributes**:
  * `FIStatusNotification.sessionId` – Base64-encoded UUID issued by the AA as a session identifier for each financial information access request, returned to the FIU or AA client.
  * `FIStatusNotification.sessionStatus` – Current status of the FI session (e.g. ACTIVE, COMPLETED, EXPIRED, FAILED).
* **Response Attributes**: None.

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/observability-attributes/fiu-api-attributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
